#include <msp430.h>
#include "RTC_Calendar.h"



extern void incrementSeconds(void);


int main(void)
{
WDTCTL = WDTPW + WDTHOLD; // Stop WDT
setTime( 0x12, 0, 0, 0); // initialize time to 12:00:00 AM
P1DIR |= 0x01; // P1.0 output
TA1CCTL0 = CCIE; // CCR0 interrupt enabled
TA1CCR0 = 32768-1;
TA1CTL = TASSEL_1 + MC_1 + TACLR; // ACLK, upmode, clear TAR


__bis_SR_register(GIE); //  enable interrupts
__no_operation(); // For debugger
while(1)
{
P1OUT ^= 0x01;
}
}

// Timer A0 interrupt service routine
#if defined(__TI_COMPILER_VERSION__) || defined(__IAR_SYSTEMS_ICC__)
#pragma vector=TIMER1_A0_VECTOR
__interrupt void TIMER1_A0_ISR(void)
#elif defined(__GNUC__)
void __attribute__ ((interrupt(TIMER1_A0_VECTOR))) TIMER1_A0_ISR (void)
#else
#error Compiler not supported!
#endif
{
incrementSeconds();
// P1OUT ^= 0x01; // Toggle P1.0
// __bic_SR_register_on_exit(LPM3_bits);
}
